$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.120.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.120.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'F2D65BD8D9425B8026E2119A883FF4B0E5711E1B671C0F5A827856ED9476A9A8'
  checksumType = 'sha256'
  checksum64 = 'F2D65BD8D9425B8026E2119A883FF4B0E5711E1B671C0F5A827856ED9476A9A8'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.120-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
